### Hierarchy

- DraggingOptions

New in 2.0, this class contains options for dragging and moving parts.

This is used by Diagram.moveParts, Diagram.computeMove, and DraggingTool.computeMove.

Both the Diagram and its DraggingTool have a DraggingOptions instance. Typically, only the DraggingTool one is used, unless the Diagram has no DraggingTool defined.

In typical DraggingTool operation you do not need to create or modify a DraggingOptions instance. Setting properties on the DraggingTool such as DraggingTool.isGridSnapEnabled sets the value on the DraggingTool.dragOptions instance for you.

see

  DraggingTool.dragOptions

since

  2.0

## Index

### Constructors

- constructor

### Properties

- dragsLink
- dragsTree
- gridSnapCellSize
- gridSnapCellSpot
- gridSnapOrigin
- groupsAlwaysMove
- groupsSnapMembers
- isGridSnapEnabled
- isGridSnapRealtime

## Constructors

### constructor

- new DraggingOptions(): DraggingOptions

- #### Returns DraggingOptions

## Properties

### dragsLink : boolean

### dragsTree : boolean

### gridSnapCellSize : Size

### gridSnapCellSpot : Spot

### gridSnapOrigin : Point

### groupsAlwaysMove : boolean

### groupsSnapMembers : boolean

### isGridSnapEnabled : boolean

### isGridSnapRealtime : boolean

Copyright © 1998-2020 by Northwoods Software Corporation.